uniform sampler2D tex0;
uniform float time;
void main() {
	vec2 tc = gl_TexCoord[0].st;
	float offset = time * 2 * 3.14159 * .75;
	tc.x += sin(tc.y * 4*2*3.14159 + offset) / 100;
	gl_FragColor = texture2D(tex0, tc);
}
